<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <ImplicitUsings>enable</ImplicitUsings>
    <Nullable>enable</Nullable>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="AutoMapper.Extensions.Microsoft.DependencyInjection" Version="11.0.0" />

    <PackageReference Include="FluentValidation.AspNetCore" Version="11.0.2" />
    <PackageReference Include="MediatR.Extensions.Microsoft.DependencyInjection" Version="11.1.0" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="6.0.16" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="6.0.1" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="7.0.0" />
    <PackageReference Include="Microsoft.Extensions.Options.ConfigurationExtensions" Version="6.0.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
    <PackageReference Include="System.Linq.Dynamic.Core" Version="1.3.4" />


  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\MC.Domain\MC.Domain.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="Features\Models\" />
  </ItemGroup>

</Project>
